> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA Issuers List

> To query all the supported RWA issuers on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Use this endpoint to get issuer IDs for endpoints that require an `issuer` parameter, such as [RWA List with Market Data](/demo/reference/rwas-markets).
* No pagination required — the full list is returned in a single response.

<CacheInfo rate="5 minutes" />


## OpenAPI

````yaml openapi-specs/demo-api.json get /rwas/issuers/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/issuers/list:
    get:
      summary: RWA Issuers List
      description: To query all the supported RWA issuers on CoinGecko
      operationId: rwas-issuers-list
      responses:
        '200':
          description: List of RWA issuers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasIssuersList'
              example:
                - id: paxos
                  name: Paxos
                - id: tether
                  name: Tether
                - id: ondo-finance
                  name: Ondo Finance
components:
  schemas:
    RwasIssuersList:
      type: array
      items:
        type: object
        required:
          - id
          - name
        properties:
          id:
            type: string
            description: Issuer ID
          name:
            type: string
            description: Issuer name
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````